function alldemos(varargin)
  p = inputParser;
  p.KeepUnmatched=true; 
  p.addParamValue('savedir',['.',filesep,'tmp'],@ischar);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('pause',2,@isscalar);
  p.addParamValue('distribute',true,@islogical);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  
  if ~exist(R.savedir) & R.save
    [success,message,messageid]=mkdir(R.savedir);
    if ~success,error(message);end
  end

  %for demo={'demo01','demo02','demo03','demo04','demo05','demo06'}
  Ndemo=6;
  for i=1:Ndemo
    close all
    name=demonum(i);
    code=['fc_hypermesh.',demonum(i)];
    fprintf('[fc_hypermesh.%s] (%d/%d) Running script %s\n',mfilename(),i,Ndemo,code)
    eval(code)
    if R.distribute
      fc_tools.graphics.DisplayFigures();
      pause(R.pause)
    end
    if R.save
      SaveOptions={'format','png', 'dir',R.savedir,'tag',true,'verbose',true};
      fc_tools.graphics.SaveAllFigsAsFiles(name, SaveOptions{:})
    end    
  end
  close all
end

function str=demonum(i)
  if i<=9
    str=sprintf('demo0%d',i);
  else
    str=sprintf('demo%2d',i);
  end
end
